(*
 *
 * Copyright (C) 2003 Damien Pous
 * 
 * OCaml-lirc is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OCaml-lirc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OCaml-lirc; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *)


Sys.catch_break true;;

let f = function
  | "quit" -> print_string "byebye..."; print_newline(); false  
  | s -> print_string s; print_newline(); true 
and check = function
  | "quit" | "hello" | "world" -> true
  | _ -> false
in
  Lirc.connect "hw" ~config:"lircrc" ~check f


(* ------------------------------------------ * 
 * Low level use                              *
 * ------------------------------------------ * 
 * Lirc.init "toto";;                         * 
 * try                                        * 
 *   let config = Lirc.readconfig();          * 
 *   try while true do                        * 
 *     let l = nextcode config in             * 
 *          [ ... ]                           * 
 *   done with                                * 
 *     Lirc.DaemonDown -> freeconfig config   * 
 * with                                       * 
 *   e -> deinit(); raise e                   * 
 * ------------------------------------------ *)


